Search documentation of megaco

# megaco_digit_map (megaco v4.8.1)

View Source

Digit Map utility module.

This is a Digit Map utility module (types).

## Version note

This module has existed in the megaco app for long time, but as of 27.0, its also documented.

# Summary

## Types

cancel()

`$z | $Z | cancel`

event()
kind()
letter()

`$0..$9 | $a..$k | $A..$K`

one_second()

`$s | $S`

pause()
ten_seconds()

`$l | $L`

value()

# Types

# cancel()

(since OTP 27.0)

    -type cancel() :: $z | $Z | cancel.

`$z | $Z | cancel`

# event()

(since OTP 27.0)

    -type event() :: letter() | pause() | cancel().

# kind()

(since OTP 27.0)

    -type kind() :: full | unambiguous.

# letter()

(since OTP 27.0)

    -type letter() :: $0..$9 | $a..$k | $A..$K.

`$0..$9 | $a..$k | $A..$K`

# one_second()

(since OTP 27.0)

    -type one_second() :: $s | $S.

`$s | $S`

# pause()

(since OTP 27.0)

    -type pause() :: one_second() | ten_seconds().

# ten_seconds()

(since OTP 27.0)

    -type ten_seconds() :: $l | $L.

`$l | $L`

# value()

(since OTP 27.0)

    -type value() ::
              #'DigitMapValue'{startTimer :: term(),
                               shortTimer :: term(),
                               longTimer :: term(),
                               digitMapBody :: term(),
                               durationTimer :: term()}.